Subject: Re: [PATCH 3/6] [WATCHDOG] mpc83xx_wdt: rename to mpc8xxx_wdt

From: Anton Vorontsov <[email-masked]>
Date: Wed, 14 May 2008 16:25:44 +0400

On Wed, May 14, 2008 at 11:48:05AM +1000, Stephen Rothwell wrote:
> Hi Anton,
> 
> On Wed, 14 May 2008 11:45:23 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Doing this status with "git diff -M --stat" would show us if the file was
> > just renamed or if there were some changes as well ...
> 
> Not that I don't trust you, just for future reference.

I use git-format-patch. And -M option would generate the whole
patch in the "git patch format", which you can not apply with patch(1)
(I also recalling that there was someone protesting wrt sending the
patches in the git patch format, since not everybody use git).

Though, you can still check me if you want to, git generates useful
headers in the patch itself:

diff --git a/drivers/watchdog/mpc83xx_wdt.c b/drivers/watchdog/mpc83xx_wdt.c
deleted file mode 100644
index 3534ae0..0000000
....
diff --git a/drivers/watchdog/mpc8xxx_wdt.c b/drivers/watchdog/mpc8xxx_wdt.c
new file mode 100644
index 0000000..3534ae0

The index stuff are hashes. They match. ;-)

But sure, it would be great if git-format-patch could generate
diffstat in the git format and leave the patch itself patch(1)-compatible.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2